# SPDX-License-Identifier: GPL-3.0-or-later
#
# SPDX-FileCopyrightText:  2023 PeppemrintOS Team  (peppermintosteam@proton.me)

# This Make file is used to execute the different parts if the bubble system
# by running for example deb64 will chain execute copy_fls, copy_flders and
# inflate to build an ISO . To begin a fresh skeleton, you need to run only
# fresh...after that. As build sare release for publication you can run nightly
# or release to move the files to your web server location the
# run the build you need.
# None of these steps need to run as root all this can be ran ad a normal user

PY_PATH = ~/bubbles/python_modules

dev64:
	python3 ${PY_PATH}/dev_64.py

deb64:
	python3 ${PY_PATH}/deb_64.py

deb32:
	python3 ${PY_PATH}/deb_32.py

debarm:
	python3 ${PY_PATH}/deb_arm.py

dev32:
	python3 ${PY_PATH}/dev_32.py

devarm:
	python3 ${PY_PATH}/dev_arm.py

nightly:
	python3 ${PY_PATH}/nightly.py

release:
	python3 ${PY_PATH}/release.py

# run this to start with a blank shell for
# config folders/
fresh:
	python3 ${PY_PATH}/fresh_bubble.py
